OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000683OMNeT++documentationpublic2013-11-06 11:172013-12-06 15:12
Reporterrhornig 
Assigned Torhornig 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.3 
Target VersionFixed in Version4.4 
Summary0000683: Mac OS 10.9 installation procedure changed.
DescriptionFrom: http://mehmetalierturk.com/2013/10/29/fixing-omnet-osx-mavericks/ [^]


Install latest Xcode 5.0.1 from Mac App Store

Install command line tools xcode-select –install

Install macports Mavericks build

Install gcc version 4.7 via macports

sudo port selfupdate
sudo port install gcc47
sudo port select –set gcc mp-gcc47

After this point you can compile OMNET++ and get working but, I faced problems when running simulations like missing icons/images in simulation. I think Tcl library has issues with Mavericks, in my case it has to reinstall too.

sudo port install tcl
sudo port install tcllib

Now, edit configure.user in OMNET++ source directory
CC=gcc-mp-4.7
CXX=g++-mp-4.7
TK_LIBS=”-L/opt/local/lib -ltk8.6 -ltcl8.6″

Now you can follow OMNET++ standard installation instructions.

./configure
make
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000843)
rhornig (administrator)
2013-12-06 15:12

The new OS 10.9 install instructions are now specified in the Installation Guide.

- Issue History
Date Modified Username Field Change
2013-11-06 11:17 rhornig New Issue
2013-12-06 15:12 rhornig Note Added: 0000843
2013-12-06 15:12 rhornig Status new => resolved
2013-12-06 15:12 rhornig Fixed in Version => 4.4
2013-12-06 15:12 rhornig Resolution open => fixed
2013-12-06 15:12 rhornig Assigned To => rhornig


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker